List channels
Channels you belong to with owner, member count and visibility.
GET https://cotlet.dev/api/v1/otter/channels
read
Lists the Channels you belong to, in alphabetical order by name. Visibility is private or workspace. Use the channel_id with list_conversations to read one Channel or with share_conversation to share with all of its members.
Parameters
No parameters.
Request
curl https://cotlet.dev/api/v1/otter/channels \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("otter", "list_channels") const result = await cotlet.call('otter', 'list_channels'); cotlet call otter list_channels Example response
{
"channels": [
{
"channel_id": "ch_55",
"name": "Customer Success",
"members": 12,
"owner": "you@example.com",
"visibility": "private"
}
]
}